# Static TODO server Java
Tested with openjdk 11.0.14, Gradle 7.4 and Spark 2.9.3

## Installing Java+Gradle
Download and follow the guide from [Oracle.com](https://www.oracle.com/java/technologies/javase-downloads.html) or [OpenJava](https://openjdk.java.net/install/). In addtion to the the Java SDK we will use Gradle to install dependencies and compile and run the examples. Follow the guide from [Gradle.org](https://gradle.org/install/). You can read more about Gradle here: 

- [the simplest guide to understanding gradle](https://medium.com/gradeup/the-simplest-guide-to-understanding-gradle-758d9924e6ca)
- [Gradle tutorial for complete beginners](https://tomgregory.com/gradle-tutorial-for-complete-beginners/)

If you run into trouble or issues, try searching on the specific error messages on stackoverflow.com or similar. You can also get help in the study café, but please try all possible steps before you come.

## Spark framework
There are a lot of web frameworks in Java. We will use [SparkJava](http://sparkjava.com/) ([docs](https://web.archive.org/web/20230603211742/http://sparkjava.com/documentation), [reference](https://javadoc.io/doc/com.sparkjava/spark-core/latest/index.html)). Gradle will handle the depencies for us as we build the project, based on the dependencies in `build.gradle`

## Running the example

You simply run the server with `gradle todo`

Go to `http://localhost:8080` to see the output.

**Notice: The build and run will fail until you have put the client files in the correct folder**
